<?php

namespace App\Traits\Components;

trait WithUserSelector
{
    public function selectAllUsers(): void
    {
        $this->form->user_ids = array_keys($this->users);
    }

    public function deselectAllUsers(): void
    {
        $this->form->user_ids = [];
    }
}
